# $Revision: 1.1 $, $Date: 2009/06/06 12:23:22 $
%define 	module	SquareMap
Summary:	Hierarchic visualization control for wxPython
Summary(pl.UTF-8):	Element grafiki wxPython do ilustrowania hierarchii
Name:		python-%{module}
Version:	1.0.0b22
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/S/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	5d897ee2b5d0b4440f53bb9c1c0c4775
URL:		http://pypi.python.org/pypi/SquareMap/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
# if py_postclean is used
BuildRequires:	rpmbuild(macros) >= 1.219
#Requires:		python-libs
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hierarchic data visualization control intended for use with structures
where "parents" hold collections of weighted children.

%description -l pl.UTF-8
Element grafiki służący do reprezentowania struktur danych gdzie
"rodzice" zawierają zbiory dzieci o różnej wadze.

%prep
%setup -q -n %{module}-%{version}

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# %doc AUTHORS CREDITS ChangeLog NEWS README THANKS TODO
%dir %{py_sitescriptdir}/squaremap
%{py_sitescriptdir}/squaremap/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/TEMPLATE-*.egg-info
%endif


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-SquareMap.spec,v $
Revision 1.1  2009/06/06 12:23:22  matkor
- Initial 1.0.0b22-1.

